aboutsummaryrefslogtreecommitdiff
path: root/dotfiles/.local/bin/swayresize
diff options
context:
space:
mode:
authorYaroslav <contact@yaroslavps.com>2020-01-17 19:14:34 +0300
committerYaroslav <contact@yaroslavps.com>2020-01-17 19:14:34 +0300
commit5eee5b44924bf9079a67d5bc7612bfad56ddeed3 (patch)
tree0408697aba64aa3f012f134bdc35316841a4b404 /dotfiles/.local/bin/swayresize
parent8f672e8a119e9efd23272f7cb0ff4550872f9d47 (diff)
downloadswayrice-5eee5b44924bf9079a67d5bc7612bfad56ddeed3.tar.gz
swayrice-5eee5b44924bf9079a67d5bc7612bfad56ddeed3.zip
config restructuring and cleanup
Diffstat (limited to 'dotfiles/.local/bin/swayresize')
-rwxr-xr-xdotfiles/.local/bin/swayresize27
1 files changed, 27 insertions, 0 deletions
diff --git a/dotfiles/.local/bin/swayresize b/dotfiles/.local/bin/swayresize
new file mode 100755
index 0000000..9ae94c0
--- /dev/null
+++ b/dotfiles/.local/bin/swayresize
@@ -0,0 +1,27 @@
+#!/bin/sh
+# This script was made by `goferito` on Github.
+# Some cleanup by Luke.
+
+[ -z "$1" ] && echo "No direction provided" && exit 1
+distanceStr="2 px or 2 ppt"
+
+moveChoice() {
+ swaymsg resize "$1" "$2" "$distanceStr" | grep '"success":true' || \
+ swaymsg resize "$3" "$4" "$distanceStr"
+}
+
+case $1 in
+ up)
+ moveChoice grow up shrink down
+ ;;
+ down)
+ moveChoice shrink up grow down
+ ;;
+ left)
+ moveChoice shrink right grow left
+ ;;
+ right)
+ moveChoice grow right shrink left
+ ;;
+esac
+